This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 826838 - [RFE] Add ovirt-node-plugin-standalone to be used with virt-manager or gnome-boxes
[RFE] Add ovirt-node-plugin-standalone to be used with virt-manager or gnome-...
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Fabian Deutsch
bugs@ovirt.org
node
: FutureFeature
Depends On: 1023481
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 02:20 EDT by Fabian Deutsch
Modified: 2014-03-19 12:45 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-19 12:45:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Fabian Deutsch 2012-05-31 02:20:14 EDT
Description of problem:
Currently virt-manager (or the whole virt family) can connect to node if a root password is set and ssh is enabled. Also images are persisted as /var/lib/libvirt/images is mounted on the data partition.
Because /etc/libvirt/qemu is not persisted by default, the virt-tools can create images on Node, but their definitions do not survive reboots.
If /etc/libvirt/qemu was persisted by default images could be created on the node and would survive reboots.
This would allow a simple usage of node with virt-manager etc.

It could be considered to persist a couple of more libvirt related paths if also network and storage configurations should be persisted. This could be a plugin.
Comment 1 Doron Fediuck 2014-03-19 12:45:33 EDT
Closing old bugs.
If relevant please reopen.

Note You need to log in before you can comment on or make changes to this bug.